---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Call Router -- Get

Gets the API call router with the given ID.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.call_router.ApiCallRouterProto": {
        "properties": {
          "default_target_id": {
            "description": "The ID of the target that should be used as a fallback destination for calls if the call router is disabled or fails.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "default_target_type": {
            "description": "The entity type of the default target.",
            "enum": [
              "callcenter",
              "callrouter",
              "channel",
              "coachinggroup",
              "coachingteam",
              "department",
              "office",
              "room",
              "staffgroup",
              "unknown",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "enabled": {
            "description": "If set to False, the call router will skip the routing url and instead forward calls straight to the default target.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "id": {
            "description": "The API call router's ID.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "name": {
            "description": "[single-line only]\n\nA human-readable display name for the router.",
            "type": [
              "null",
              "string"
            ]
          },
          "office_id": {
            "description": "The ID of the office to which this router belongs.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "phone_numbers": {
            "description": "The phone numbers that will cause inbound calls to hit this call router.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "routing_url": {
            "description": "The URL that should be used to drive call routing decisions.",
            "type": [
              "null",
              "string"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "The signature that will be used to sign JWTs for routing requests.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "API call router.",
        "type": "object"
      },
      "protos.signature.SignatureProto": {
        "properties": {
          "algo": {
            "description": "The hash algorithm used to compute the signature.",
            "type": [
              "null",
              "string"
            ]
          },
          "secret": {
            "description": "[single-line only]\n\nThe secret string that will be used to sign the payload.",
            "type": [
              "null",
              "string"
            ]
          },
          "type": {
            "description": "The signature token type.\n\n(i.e. `jwt`)",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Signature settings.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/callrouters/{id}": {
      "get": {
        "deprecated": false,
        "description": "Gets the API call router with the given ID.\n\nRate limit: 1200 per minute.",
        "operationId": "callrouters.get",
        "parameters": [
          {
            "description": "The API call router's ID",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "default_target_id": "5835806903417907",
                      "default_target_type": "user",
                      "enabled": true,
                      "id": "4711016903868210",
                      "name": "Test Router",
                      "office_id": "6422934115149452",
                      "routing_url": "https://example.ca/routingapi",
                      "signature": {}
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.call_router.ApiCallRouterProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Call Router -- Get",
        "tags": [
          "callrouters"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```